Initiate Outbound Call
curl --request POST \
--url https://py.callai.rejoicehub.com/outbound-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_number": "<string>",
"from_number": "<string>",
"scheduled_time": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://py.callai.rejoicehub.com/outbound-call"
payload = {
"to_number": "<string>",
"from_number": "<string>",
"scheduled_time": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to_number: '<string>',
from_number: '<string>',
scheduled_time: '2023-11-07T05:31:56Z'
})
};
fetch('https://py.callai.rejoicehub.com/outbound-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints
Initiate Outbound Call
Initiates a single outbound call or queues it if scheduled.
POST
/
outbound-call
Initiate Outbound Call
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Call initiated or scheduled successfully.
⌘I